apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    cluster.x-k8s.io/provider: infrastructure-metal3
  name: baremetal-operator-ironic
  namespace: baremetal-operator-system
data:
  PROVISIONING_INTERFACE: provisioning
  PROVISIONING_IP: 172.22.0.1
  DHCP_RANGE: 172.22.0.10,172.22.0.100
  HTTP_PORT: "6180"
  IRONIC_ENDPOINT: "http://172.22.0.1:6385/v1/"
  IRONIC_INSPECTOR_ENDPOINT: "http://172.22.0.1:5050/v1/"
  DEPLOY_KERNEL_URL: "http://172.22.0.1:6180/images/ironic-python-agent.kernel"
  DEPLOY_RAMDISK_URL: "http://172.22.0.1:6180/images/ironic-python-agent.initramfs"
  CACHEURL: http://172.22.0.1/images
  RESTART_CONTAINER_CERTIFICATE_UPDATED: "true"
  IRONIC_FAST_TRACK: true
  IRONIC_KERNEL_PARAMS: "console=ttyS0"
  IRONIC_INSPECTOR_VLAN_INTERFACES: all
  IRONIC_RAMDISK_SSH_KEY: "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJ4TqLkYriISLIkzNTKdDej0P1SxOT9xU9Lqxye8ExJw sean@sean-pc"

